Commit 2f3cfbb1 authored by Mark Hindley's avatar Mark Hindley

Merge branch 'suites/unstable-proposed' into suites/unstable

parents 4a67f605 d950fcf5
policykit-1 (0.105-25+devuan5) unstable; urgency=medium
* Add library flavour to package dependency template in
debian/*.symbols.
* Reinstate libpolkit-{gobject,backend}-1-{0,dev} transitional packages
to oppose Debian package mergind by amprolla.
-- Mark Hindley <mark@hindley.org.uk> Mon, 16 Sep 2019 12:06:49 +0100
policykit-1 (0.105-25+devuan4) beowulf; urgency=medium
* Rebuild for beowulf.
......
......@@ -106,6 +106,38 @@ Description: PolicyKit Authentication Agent API - development files
This package contains the development files for the library found in
libpolkit-agent-1-0.
Package: libpolkit-gobject-1-0
Priority: optional
Architecture: all
Section: oldlibs
Depends:
${misc:Depends},
libpolkit-gobject-elogind-1-0 | libpolkit-gobject-consolekit-1-0
Multi-Arch: foreign
Description: PolicyKit Authorization API
PolicyKit is a toolkit for defining and handling the policy that allows
unprivileged processes to speak to privileged processes.
.
This package is transitional package, depending on
libpolkit-gobject-elogind-1-0 or libpolkit-gobject-consolekit-1-0 for upgrades
of libpolkit-gobject-1-0. It can safely be removed.
Package: libpolkit-gobject-1-dev
Priority: optional
Architecture: all
Section: oldlibs
Depends:
${misc:Depends},
libpolkit-gobject-elogind-1-dev | libpolkit-gobject-consolekit-1-dev
Multi-Arch: foreign
Description: PolicyKit Authorization API
PolicyKit is a toolkit for defining and handling the policy that allows
unprivileged processes to speak to privileged processes.
.
This package is transitional package, depending on
libpolkit-gobject-elogind-1-dev or libpolkit-gobject-consolekit-1-dev for
upgrades of libpolkit-gobject-1-dev. It can safely be removed.
Package: libpolkit-gobject-consolekit-1-0
Architecture: any
Section: libs
......@@ -115,8 +147,8 @@ Depends:
${misc:Depends},
${shlibs:Depends},
consolekit,
Conflicts: libpolkit-gobject-1-0, libpolkit-gobject-elogind-1-0
Replaces: libpolkit-gobject-1-0, libpolkit-gobject-elogind-1-0
Conflicts: libpolkit-gobject-elogind-1-0
Replaces: libpolkit-gobject-1-0
Provides: libpolkit-gobject-1-0 (= ${binary:Version})
Multi-Arch: same
Description: PolicyKit Authorization API
......@@ -135,7 +167,7 @@ Depends:
libpolkit-gobject-consolekit-1-0 (= ${binary:Version}),
${misc:Depends}
Provides: libpolkit-gobject-1-dev
Conflicts: libpolkit-gobject-1-dev
Conflicts: libpolkit-gobject-elogind-1-dev
Replaces: libpolkit-gobject-1-dev
Description: PolicyKit Authorization API - development files
PolicyKit is a toolkit for defining and handling the policy that
......@@ -154,8 +186,8 @@ Depends:
${shlibs:Depends},
libelogind0,
libpam-elogind
Conflicts: libpam-ck-connector, libpolkit-gobject-1-0, libpolkit-gobject-consolekit-1-0
Replaces: libpolkit-gobject-1-0, libpolkit-gobject-consolekit-1-0
Conflicts: libpam-ck-connector, libpolkit-gobject-consolekit-1-0
Replaces: libpolkit-gobject-1-0
Provides: libpolkit-gobject-1-0 (= ${binary:Version}),
Multi-Arch: same
Description: PolicyKit Authorization API
......@@ -174,7 +206,7 @@ Depends:
libpolkit-gobject-elogind-1-0 (= ${binary:Version}),
${misc:Depends}
Provides: libpolkit-gobject-1-dev
Conflicts: libpolkit-gobject-1-dev
Conflicts: libpolkit-gobject-consolekit-1-dev
Replaces: libpolkit-gobject-1-dev
Description: PolicyKit Authorization API - development files
PolicyKit is a toolkit for defining and handling the policy that
......@@ -183,6 +215,38 @@ Description: PolicyKit Authorization API - development files
This package contains the development files for the library found in
libpolkit-gobject-elogind-1-0.
Package: libpolkit-backend-1-0
Priority: optional
Architecture: all
Section: oldlibs
Depends:
${misc:Depends},
libpolkit-backend-elogind-1-0 | libpolkit-backend-consolekit-1-0
Multi-Arch: foreign
Description: PolicyKit Authorization API
PolicyKit is a toolkit for defining and handling the policy that allows
unprivileged processes to speak to privileged processes.
.
This package is transitional package, depending on
libpolkit-backend-elogind-1-0 or libpolkit-backend-consolekit-1-0 for upgrades
of libpolkit-backend-1-0. It can safely be removed.
Package: libpolkit-backend-1-dev
Priority: optional
Architecture: all
Section: oldlibs
Depends:
${misc:Depends},
libpolkit-backend-elogind-1-dev | libpolkit-backend-consolekit-1-dev
Multi-Arch: foreign
Description: PolicyKit Authorization API
PolicyKit is a toolkit for defining and handling the policy that allows
unprivileged processes to speak to privileged processes.
.
This package is transitional package, depending on
libpolkit-backend-elogind-1-dev or libpolkit-backend-consolekit-1-dev for
upgrades of libpolkit-backend-1-dev. It can safely be removed.
Package: libpolkit-backend-consolekit-1-0
Architecture: any
Section: libs
......@@ -193,8 +257,8 @@ Depends:
${shlibs:Depends},
consolekit,
libpolkit-gobject-consolekit-1-0
Conflicts: libpolkit-backend-1-0, libpolkit-gobject-elogind-1-0
Replaces: libpolkit-backend-1-0, libpolkit-gobject-elogind-1-0
Conflicts: libpolkit-gobject-elogind-1-0
Replaces: libpolkit-backend-1-0
Provides: libpolkit-backend-1-0 (= ${binary:Version})
Multi-Arch: same
Description: PolicyKit backend API
......@@ -212,7 +276,7 @@ Depends:
libpolkit-gobject-consolekit-1-dev,
${misc:Depends},
Provides: libpolkit-backend-1-dev
Conflicts: libpolkit-backend-1-dev
Conflicts: libpolkit-backend-elogind-1-dev
Replaces: libpolkit-backend-1-dev
Description: PolicyKit backend API - development files
PolicyKit is a toolkit for defining and handling the policy that
......@@ -232,8 +296,8 @@ Depends:
libelogind0,
libpam-elogind,
libpolkit-gobject-elogind-1-0
Conflicts: libpam-ck-connector, consolekit, libpolkit-backend-1-0, libpolkit-backend-consolekit-1-0
Replaces: libpolkit-backend-1-0, libpolkit-backend-consolekit-1-0
Conflicts: libpam-ck-connector, consolekit, libpolkit-backend-consolekit-1-0
Replaces: libpolkit-backend-1-0
Provides: libpolkit-backend-1-0 (= ${binary:Version})
Multi-Arch: same
Description: PolicyKit backend API
......@@ -251,7 +315,7 @@ Depends:
libpolkit-gobject-elogind-1-dev,
${misc:Depends},
Provides: libpolkit-backend-1-dev
Conflicts: libpolkit-backend-1-dev
Conflicts: libpolkit-backend-consolekit-1-dev
Replaces: libpolkit-backend-1-dev
Description: PolicyKit backend API - development files
PolicyKit is a toolkit for defining and handling the policy that
......
libpolkit-backend-1.so.0 libpolkit-backend-1-0 #MINVER#
libpolkit-backend-1.so.0 libpolkit-backend-consolekit-1-0 #MINVER#
polkit_backend_action_lookup_get_details@Base 0.94
polkit_backend_action_lookup_get_icon_name@Base 0.94
polkit_backend_action_lookup_get_message@Base 0.94
......
libpolkit-backend-1.so.0 libpolkit-backend-1-0 #MINVER#
libpolkit-backend-1.so.0 libpolkit-backend-elogind-1-0 #MINVER#
polkit_backend_action_lookup_get_details@Base 0.94
polkit_backend_action_lookup_get_icon_name@Base 0.94
polkit_backend_action_lookup_get_message@Base 0.94
......
libpolkit-gobject-1.so.0 libpolkit-gobject-1-0 #MINVER#
libpolkit-gobject-1.so.0 libpolkit-gobject-consolekit-1-0 #MINVER#
polkit_action_description_get_action_id@Base 0.94
polkit_action_description_get_annotation@Base 0.94
polkit_action_description_get_annotation_keys@Base 0.94
......
libpolkit-gobject-1.so.0 libpolkit-gobject-1-0 #MINVER#
libpolkit-gobject-1.so.0 libpolkit-gobject-elogind-1-0 #MINVER#
polkit_action_description_get_action_id@Base 0.94
polkit_action_description_get_annotation@Base 0.94
polkit_action_description_get_annotation_keys@Base 0.94
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment